export interface CleanableEvent {
    el: HTMLElement | null | undefined;
    remove(): any;
}
export declare function useCleanableEvent<K extends keyof HTMLElementEventMap>(el: HTMLElement, type: K, fn: (this: HTMLElement, ev: HTMLElementEventMap[K]) => void, options?: boolean | AddEventListenerOptions): CleanableEvent;
